#include <iostream>
#include <unistd.h>
#include <math.h>
#include <stdio.h>
#include <sstream>
#include <fcntl.h>
#include <iomanip>
#include <sys/ioctl.h>
#include <linux/i2c.h>
#include <linux/i2c-dev.h>
#include <pthread.h>
#include <string>
